Skip to main content
POST
/
v1
/
videos
Create Video
curl --request POST \
  --url https://api.example.com/v1/videos \
  --header 'Content-Type: application/json' \
  --data '
{
  "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "modifications": [
    {
      "name": "<string>",
      "text": "<string>",
      "image_url": "<string>",
      "color": "<string>",
      "number": 123
    }
  ],
  "duration_seconds": 30.25,
  "fps": 35,
  "webhook_url": "<string>",
  "metadata": {}
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "template_version": 123,
  "status": "<string>",
  "modifications": [
    {}
  ],
  "duration_seconds": 123,
  "fps": 123,
  "width": 123,
  "height": 123,
  "result_url": "<string>",
  "thumbnail_url": "<string>",
  "error": {},
  "duration_ms": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "started_at": "2023-11-07T05:31:56Z",
  "completed_at": "2023-11-07T05:31:56Z",
  "object": "video"
}

Documentation Index

Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string | null
Authorization
string | null

Query Parameters

sync
boolean
default:false

Body

application/json
template_id
string<uuid>
required
modifications
Modification · object[]
duration_seconds
number | null
Required range: 0.5 <= x <= 60
fps
integer | null
Required range: 10 <= x <= 60
webhook_url
string | null
metadata
Metadata · object

Response

Successful Response

id
string<uuid>
required
org_id
string<uuid>
required
template_id
string<uuid>
required
template_version
integer
required
status
string
required
modifications
Modifications · object[]
required
duration_seconds
number | null
required
fps
integer
required
width
integer | null
required
height
integer | null
required
result_url
string | null
required
thumbnail_url
string | null
required
error
Error · object
required
duration_ms
integer | null
required
created_at
string<date-time>
required
started_at
string<date-time> | null
required
completed_at
string<date-time> | null
required
object
string
default:video